Bug 971202 - Bugzilla plugin doesnt work even with pybugz installed
Bugzilla plugin doesnt work even with pybugz installed
Product: Fedora
Classification: Fedora
Component: gtg (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-05 21:43 EDT by Ankur Sinha (FranciscoD)
Modified: 2013-06-21 22:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-06 04:45:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-06-05 21:43:12 EDT
Description of problem:
Even after installing pybugz, the bugzilla plugin still gives a message asking me to install the "bugz" python module.

Version-Release number of selected component (if applicable):
[asinha@localhost  gtg]$ rpm -q pybugz gtg
[asinha@localhost  gtg]$

How reproducible:

Steps to Reproduce:
1. Install gtg, pybugz
2. Try to enable bugzilla plugin

Actual results:
Is greyed out. Still asks you to install bugz module

Expected results:
Should work.

Additional info:
Comment 1 Ankur Sinha (FranciscoD) 2013-06-05 21:45:55 EDT
I also have python-bugzilla installed. 

Seems like it's been reported upstream already.

Does this require the bugz module or the bugzilla module, and are they the same and interchangeable??
Comment 2 Ankur Sinha (FranciscoD) 2013-06-05 22:17:08 EDT
The upstream quick fix didn't work for me either. Just tried it:

--- ../gtg-0.3.orig/GTG/plugins/bugzilla/bug.py	2012-11-02 03:22:32.000000000 +1100
+++ GTG/plugins/bugzilla/bug.py	2013-06-06 12:01:06.795550142 +1000
@@ -15,10 +15,7 @@
 # this program.  If not, see <http://www.gnu.org/licenses/>.
 #this handles old versions of pybugz as well as new ones
-    from bugz import bugzilla
-    import bugz as bugzilla
+import bugzilla
 #changed the default action to skip auth
There are changes in the trunk that hopefully fix this, but I haven't been able to test them out yet.
Comment 3 Izidor Matušov 2013-06-06 02:44:03 EDT
Hi, GTG maintainer here,

lately there was a contribution from Chenxiong Qi who refactored the plugin. Does the modified plugin work for you? You can play with the development version of GTG without destroying your own data:

bzr branch lp:gtg
cd gtg

Please confirm or disconfirm that it works for you. Thanks.
Comment 4 Ankur Sinha (FranciscoD) 2013-06-06 04:07:58 EDT
Yep. I tested it and it works :)

I've built an rpm from the brz checkout. You can find the spec, srpm and f19 rpm here. It might help you when you update to the new release :)


Would it be possible to add some configuration options to this plug-in?

For instance:

* Create new tag with component [Y/N] (It does this at the moment)
* Create new task under tag: XXXX (Let the user specify what tag these bugs should be added as instead)

I have a lot of bugs on various bugzillas. It won't exactly be organised if each new bug created a *new* tag (It'll become unmanageable actually :( ). I'd like to just have a "bugz" tag and all these bugs can be added as tasks under that tag?

Should I file an RFE upstream for this?

(PS: When you update to a new release, you might want to add pybugz as a Requires: to the spec so it's pulled in by default)

Thanks for your quick reply,
Warm regards,
Comment 5 Izidor Matušov 2013-06-06 04:16:56 EDT
Please, fill RFE upstream.
Comment 6 Fedora Admin XMLRPC Client 2013-06-06 04:42:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Ankur Sinha (FranciscoD) 2013-06-06 04:45:08 EDT
(In reply to Izidor Matušov from comment #5)
> Please, fill RFE upstream.

Sure. I'll do that. I'm closing this bug as it's fixed upstream. I've also taken ownership of the package in Fedora. Hopefully I'll keep it up to date :)

Warm regards,
Comment 8 Ankur Sinha (FranciscoD) 2013-06-06 04:55:06 EDT
RFE filed.
Comment 9 cqi 2013-06-21 22:55:50 EDT
Bugzilla plugin just uses xmlrpclib of standard Python library in the upstream codebase, now. Neither pybugz nor python-bugzilla is required.

Note You need to log in before you can comment on or make changes to this bug.